<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackStateCollection Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_track_state_collection.html">TrackStateCollection</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_track_state_collection-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackStateCollection Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::TrackStateCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_track_state_collection__inherit__graph.png" border="0" usemap="#eic_1_1_track_state_collection_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_track_state_collection_inherit__map" id="eic_1_1_track_state_collection_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::TrackStateCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_track_state_collection__coll__graph.png" border="0" usemap="#eic_1_1_track_state_collection_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_track_state_collection_coll__map" id="eic_1_1_track_state_collection_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a5af60cacdb8cea0f0fbcc6e7f87059f5"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a5af60cacdb8cea0f0fbcc6e7f87059f5">const_iterator</a> = const <a class="el" href="classeic_1_1_track_state_collection_iterator.html">TrackStateCollectionIterator</a></td></tr>
<tr class="separator:a5af60cacdb8cea0f0fbcc6e7f87059f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5b799f3f7e95fd5de56770a83f2f5db3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a5b799f3f7e95fd5de56770a83f2f5db3">TrackStateCollection</a> ()</td></tr>
<tr class="separator:a5b799f3f7e95fd5de56770a83f2f5db3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af735714ad4037e3d8a965160749d2cf8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#af735714ad4037e3d8a965160749d2cf8">~TrackStateCollection</a> ()</td></tr>
<tr class="separator:af735714ad4037e3d8a965160749d2cf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e08b9881634e0e87e0a374cb63fcca2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a2e08b9881634e0e87e0a374cb63fcca2">clear</a> () override final</td></tr>
<tr class="separator:a2e08b9881634e0e87e0a374cb63fcca2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2507ff3cdf7b0f9d1e33d3566847e5da"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_track_state_collection.html">TrackStateCollection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a2507ff3cdf7b0f9d1e33d3566847e5da">operator-&gt;</a> ()</td></tr>
<tr class="memdesc:a2507ff3cdf7b0f9d1e33d3566847e5da"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator to allow pointer like calling of members a la LCIO  <a href="#a2507ff3cdf7b0f9d1e33d3566847e5da">More...</a><br /></td></tr>
<tr class="separator:a2507ff3cdf7b0f9d1e33d3566847e5da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6859770356402a62ee9ce9f7d8df037"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_track_state.html">TrackState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#aa6859770356402a62ee9ce9f7d8df037">create</a> ()</td></tr>
<tr class="memdesc:aa6859770356402a62ee9ce9f7d8df037"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append a new object to the collection, and return this object.  <a href="#aa6859770356402a62ee9ce9f7d8df037">More...</a><br /></td></tr>
<tr class="separator:aa6859770356402a62ee9ce9f7d8df037"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a705a1a568bc3a6e5cab7b49a345a1c2f"><td class="memTemplParams" colspan="2">template&lt;typename... Args&gt; </td></tr>
<tr class="memitem:a705a1a568bc3a6e5cab7b49a345a1c2f"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_track_state.html">TrackState</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a705a1a568bc3a6e5cab7b49a345a1c2f">create</a> (Args &amp;&amp;... args)</td></tr>
<tr class="separator:a705a1a568bc3a6e5cab7b49a345a1c2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c1ee13337de8b1a49e1864e6a913f9a"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a9c1ee13337de8b1a49e1864e6a913f9a">size</a> () const override final</td></tr>
<tr class="memdesc:a9c1ee13337de8b1a49e1864e6a913f9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of elements in the collection  <a href="#a9c1ee13337de8b1a49e1864e6a913f9a">More...</a><br /></td></tr>
<tr class="separator:a9c1ee13337de8b1a49e1864e6a913f9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbc41418aba11046c55ed9f0827ce224"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#acbc41418aba11046c55ed9f0827ce224">getValueTypeName</a> () const override</td></tr>
<tr class="memdesc:acbc41418aba11046c55ed9f0827ce224"><td class="mdescLeft">&#160;</td><td class="mdescRight">fully qualified type name of elements - with namespace  <a href="#acbc41418aba11046c55ed9f0827ce224">More...</a><br /></td></tr>
<tr class="separator:acbc41418aba11046c55ed9f0827ce224"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7b47fe64f2e38cfdf53c6bc9670693b"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_track_state.html">TrackState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#ae7b47fe64f2e38cfdf53c6bc9670693b">operator[]</a> (unsigned int index) const</td></tr>
<tr class="memdesc:ae7b47fe64f2e38cfdf53c6bc9670693b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#ae7b47fe64f2e38cfdf53c6bc9670693b">More...</a><br /></td></tr>
<tr class="separator:ae7b47fe64f2e38cfdf53c6bc9670693b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18da10d2d07f129dc3951655ecd05ad1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_track_state.html">TrackState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a18da10d2d07f129dc3951655ecd05ad1">operator[]</a> (unsigned int index)</td></tr>
<tr class="memdesc:a18da10d2d07f129dc3951655ecd05ad1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of a given index.  <a href="#a18da10d2d07f129dc3951655ecd05ad1">More...</a><br /></td></tr>
<tr class="separator:a18da10d2d07f129dc3951655ecd05ad1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae11ee2a6fe3ad738ccfd7f986b65b11f"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_track_state.html">TrackState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#ae11ee2a6fe3ad738ccfd7f986b65b11f">at</a> (unsigned int index) const</td></tr>
<tr class="memdesc:ae11ee2a6fe3ad738ccfd7f986b65b11f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#ae11ee2a6fe3ad738ccfd7f986b65b11f">More...</a><br /></td></tr>
<tr class="separator:ae11ee2a6fe3ad738ccfd7f986b65b11f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb4a6b7055dbf0ab879c327387452ef7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_track_state.html">TrackState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#adb4a6b7055dbf0ab879c327387452ef7">at</a> (unsigned int index)</td></tr>
<tr class="memdesc:adb4a6b7055dbf0ab879c327387452ef7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of given index.  <a href="#adb4a6b7055dbf0ab879c327387452ef7">More...</a><br /></td></tr>
<tr class="separator:adb4a6b7055dbf0ab879c327387452ef7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac949436c72e437d67fb893910534c33c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#ac949436c72e437d67fb893910534c33c">push_back</a> (<a class="el" href="classeic_1_1_const_track_state.html">ConstTrackState</a> object)</td></tr>
<tr class="memdesc:ac949436c72e437d67fb893910534c33c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append object to the collection.  <a href="#ac949436c72e437d67fb893910534c33c">More...</a><br /></td></tr>
<tr class="separator:ac949436c72e437d67fb893910534c33c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a520e57f540bcb467a7cd885e6446d06e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a520e57f540bcb467a7cd885e6446d06e">prepareForWrite</a> () override final</td></tr>
<tr class="separator:a520e57f540bcb467a7cd885e6446d06e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8005629c10972cad2c63636c28b31d8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#af8005629c10972cad2c63636c28b31d8">prepareAfterRead</a> () override final</td></tr>
<tr class="separator:af8005629c10972cad2c63636c28b31d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4939d9c731c96afa0c10dc35dc1bf320"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a4939d9c731c96afa0c10dc35dc1bf320">setBuffer</a> (void *address) override final</td></tr>
<tr class="separator:a4939d9c731c96afa0c10dc35dc1bf320"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50d15c9307ed50c90ea53e039fb26790"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a50d15c9307ed50c90ea53e039fb26790">setReferences</a> (const podio::ICollectionProvider *collectionProvider) override final</td></tr>
<tr class="separator:a50d15c9307ed50c90ea53e039fb26790"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ca48fe905f686afe5039265d88b45a2"><td class="memItemLeft" align="right" valign="top">podio::CollRefCollection *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a1ca48fe905f686afe5039265d88b45a2">referenceCollections</a> () override final</td></tr>
<tr class="separator:a1ca48fe905f686afe5039265d88b45a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b85bcaff2359f45d9b1f61c785d9042"><td class="memItemLeft" align="right" valign="top">podio::VectorMembersInfo *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a9b85bcaff2359f45d9b1f61c785d9042">vectorMembers</a> () override</td></tr>
<tr class="separator:a9b85bcaff2359f45d9b1f61c785d9042"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7134babf2747ed9dbb7df8f85e4fcfa2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a7134babf2747ed9dbb7df8f85e4fcfa2">setID</a> (unsigned ID) override final</td></tr>
<tr class="separator:a7134babf2747ed9dbb7df8f85e4fcfa2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a502e5818a00d6a299fdf98ab599e4fca"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a502e5818a00d6a299fdf98ab599e4fca">getID</a> () const override final</td></tr>
<tr class="separator:a502e5818a00d6a299fdf98ab599e4fca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae49d8460bdc2f3570f9118133729490d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#ae49d8460bdc2f3570f9118133729490d">isValid</a> () const override final</td></tr>
<tr class="separator:ae49d8460bdc2f3570f9118133729490d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4bb99cae76673e96476cd80d9cf2949"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_track_state_collection.html#a5af60cacdb8cea0f0fbcc6e7f87059f5">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#af4bb99cae76673e96476cd80d9cf2949">begin</a> () const</td></tr>
<tr class="separator:af4bb99cae76673e96476cd80d9cf2949"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7297cf3cc7409a9a2b186786acfb110d"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_track_state_collection.html#a5af60cacdb8cea0f0fbcc6e7f87059f5">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a7297cf3cc7409a9a2b186786acfb110d">end</a> () const</td></tr>
<tr class="separator:a7297cf3cc7409a9a2b186786acfb110d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adffd0ee5d1bcd08e90fa96f4d6a85cf6"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#adffd0ee5d1bcd08e90fa96f4d6a85cf6">getBufferAddress</a> () override final</td></tr>
<tr class="memdesc:adffd0ee5d1bcd08e90fa96f4d6a85cf6"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the address of the pointer to the data buffer  <a href="#adffd0ee5d1bcd08e90fa96f4d6a85cf6">More...</a><br /></td></tr>
<tr class="separator:adffd0ee5d1bcd08e90fa96f4d6a85cf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7922ee2db495cd40c3117e26e8d8ea93"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classeic_1_1_track_state_data.html">TrackStateData</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a7922ee2db495cd40c3117e26e8d8ea93">_getBuffer</a> ()</td></tr>
<tr class="memdesc:a7922ee2db495cd40c3117e26e8d8ea93"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the pointer to the data buffer.  <a href="#a7922ee2db495cd40c3117e26e8d8ea93">More...</a><br /></td></tr>
<tr class="separator:a7922ee2db495cd40c3117e26e8d8ea93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae76d14606cb111642580bf605222d0dc"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:ae76d14606cb111642580bf605222d0dc"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; int, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#ae76d14606cb111642580bf605222d0dc">location</a> () const</td></tr>
<tr class="separator:ae76d14606cb111642580bf605222d0dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d127d49a52fb05960945cdacee5fd7b"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a6d127d49a52fb05960945cdacee5fd7b"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a6d127d49a52fb05960945cdacee5fd7b">d0</a> () const</td></tr>
<tr class="separator:a6d127d49a52fb05960945cdacee5fd7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d2a22e92b33cfc41b9655177020b8b8"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a6d2a22e92b33cfc41b9655177020b8b8"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a6d2a22e92b33cfc41b9655177020b8b8">phi</a> () const</td></tr>
<tr class="separator:a6d2a22e92b33cfc41b9655177020b8b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa7cf98659e27ad1751faa0844083979"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:aaa7cf98659e27ad1751faa0844083979"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#aaa7cf98659e27ad1751faa0844083979">omega</a> () const</td></tr>
<tr class="separator:aaa7cf98659e27ad1751faa0844083979"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a400139f4a41381f2c1bd7ab3e7fd980c"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a400139f4a41381f2c1bd7ab3e7fd980c"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#a400139f4a41381f2c1bd7ab3e7fd980c">z0</a> () const</td></tr>
<tr class="separator:a400139f4a41381f2c1bd7ab3e7fd980c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae420137bd4e1dfc7e61329847cf6d707"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:ae420137bd4e1dfc7e61329847cf6d707"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#ae420137bd4e1dfc7e61329847cf6d707">tanLambda</a> () const</td></tr>
<tr class="separator:ae420137bd4e1dfc7e61329847cf6d707"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaac0aba27886a6fb87a1ec6dcd5703c9"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:aaac0aba27886a6fb87a1ec6dcd5703c9"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; std::array&lt; float, 3 &gt;, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_collection.html#aaac0aba27886a6fb87a1ec6dcd5703c9">referencePoint</a> () const</td></tr>
<tr class="separator:aaac0aba27886a6fb87a1ec6dcd5703c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A Collection is identified by an ID. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00050">50</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>
</div><h2 class="groupheader">Member Typedef Documentation</h2>
<a id="a5af60cacdb8cea0f0fbcc6e7f87059f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5af60cacdb8cea0f0fbcc6e7f87059f5">&#9670;&nbsp;</a></span>const_iterator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classeic_1_1_track_state_collection.html#a5af60cacdb8cea0f0fbcc6e7f87059f5">eic::TrackStateCollection::const_iterator</a> =  const <a class="el" href="classeic_1_1_track_state_collection_iterator.html">TrackStateCollectionIterator</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00053">53</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5b799f3f7e95fd5de56770a83f2f5db3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b799f3f7e95fd5de56770a83f2f5db3">&#9670;&nbsp;</a></span>TrackStateCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackStateCollection::TrackStateCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8cc_source.html#l00013">13</a> of file <a class="el" href="_track_state_collection_8cc_source.html">TrackStateCollection.cc</a>.</p>

</div>
</div>
<a id="af735714ad4037e3d8a965160749d2cf8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af735714ad4037e3d8a965160749d2cf8">&#9670;&nbsp;</a></span>~TrackStateCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackStateCollection::~TrackStateCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8cc_source.html#l00018">18</a> of file <a class="el" href="_track_state_collection_8cc_source.html">TrackStateCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_collection_8cc_source.html#l00050">clear()</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a7922ee2db495cd40c3117e26e8d8ea93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7922ee2db495cd40c3117e26e8d8ea93">&#9670;&nbsp;</a></span>_getBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classeic_1_1_track_state_data.html">TrackStateData</a>&gt;* eic::TrackStateCollection::_getBuffer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the pointer to the data buffer. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00128">128</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ae11ee2a6fe3ad738ccfd7f986b65b11f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae11ee2a6fe3ad738ccfd7f986b65b11f">&#9670;&nbsp;</a></span>at() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_track_state.html">TrackState</a> eic::TrackStateCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8cc_source.html#l00027">27</a> of file <a class="el" href="_track_state_collection_8cc_source.html">TrackStateCollection.cc</a>.</p>

</div>
</div>
<a id="adb4a6b7055dbf0ab879c327387452ef7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb4a6b7055dbf0ab879c327387452ef7">&#9670;&nbsp;</a></span>at() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_track_state.html">TrackState</a> eic::TrackStateCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8cc_source.html#l00035">35</a> of file <a class="el" href="_track_state_collection_8cc_source.html">TrackStateCollection.cc</a>.</p>

</div>
</div>
<a id="af4bb99cae76673e96476cd80d9cf2949"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4bb99cae76673e96476cd80d9cf2949">&#9670;&nbsp;</a></span>begin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_track_state_collection.html#a5af60cacdb8cea0f0fbcc6e7f87059f5">const_iterator</a> eic::TrackStateCollection::begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00117">117</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

</div>
</div>
<a id="a2e08b9881634e0e87e0a374cb63fcca2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e08b9881634e0e87e0a374cb63fcca2">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackStateCollection::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8cc_source.html#l00050">50</a> of file <a class="el" href="_track_state_collection_8cc_source.html">TrackStateCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_collection_8cc_source.html#l00018">~TrackStateCollection()</a>.</p>

</div>
</div>
<a id="aa6859770356402a62ee9ce9f7d8df037"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6859770356402a62ee9ce9f7d8df037">&#9670;&nbsp;</a></span>create() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_track_state.html">TrackState</a> eic::TrackStateCollection::create </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append a new object to the collection, and return this object. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8cc_source.html#l00043">43</a> of file <a class="el" href="_track_state_collection_8cc_source.html">TrackStateCollection.cc</a>.</p>

</div>
</div>
<a id="a705a1a568bc3a6e5cab7b49a345a1c2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a705a1a568bc3a6e5cab7b49a345a1c2f">&#9670;&nbsp;</a></span>create() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename... Args&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_track_state.html">TrackState</a> eic::TrackStateCollection::create </td>
          <td>(</td>
          <td class="paramtype">Args &amp;&amp;...&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Append a new object to the collection, and return this object. Initialized with the parameters given </p>

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00162">162</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

</div>
</div>
<a id="a6d127d49a52fb05960945cdacee5fd7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d127d49a52fb05960945cdacee5fd7b">&#9670;&nbsp;</a></span>d0()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::TrackStateCollection::d0 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00180">180</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a7297cf3cc7409a9a2b186786acfb110d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7297cf3cc7409a9a2b186786acfb110d">&#9670;&nbsp;</a></span>end()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_track_state_collection.html#a5af60cacdb8cea0f0fbcc6e7f87059f5">const_iterator</a> eic::TrackStateCollection::end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00120">120</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

</div>
</div>
<a id="adffd0ee5d1bcd08e90fa96f4d6a85cf6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adffd0ee5d1bcd08e90fa96f4d6a85cf6">&#9670;&nbsp;</a></span>getBufferAddress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void* eic::TrackStateCollection::getBufferAddress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns the address of the pointer to the data buffer </p>

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00125">125</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

</div>
</div>
<a id="a502e5818a00d6a299fdf98ab599e4fca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a502e5818a00d6a299fdf98ab599e4fca">&#9670;&nbsp;</a></span>getID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned eic::TrackStateCollection::getID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00108">108</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

</div>
</div>
<a id="acbc41418aba11046c55ed9f0827ce224"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbc41418aba11046c55ed9f0827ce224">&#9670;&nbsp;</a></span>getValueTypeName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string eic::TrackStateCollection::getValueTypeName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>fully qualified type name of elements - with namespace </p>

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00077">77</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

</div>
</div>
<a id="ae49d8460bdc2f3570f9118133729490d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae49d8460bdc2f3570f9118133729490d">&#9670;&nbsp;</a></span>isValid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackStateCollection::isValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00112">112</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

</div>
</div>
<a id="ae76d14606cb111642580bf605222d0dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae76d14606cb111642580bf605222d0dc">&#9670;&nbsp;</a></span>location()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; int, arraysize &gt; eic::TrackStateCollection::location </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00170">170</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="aaa7cf98659e27ad1751faa0844083979"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa7cf98659e27ad1751faa0844083979">&#9670;&nbsp;</a></span>omega()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::TrackStateCollection::omega </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00200">200</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a2507ff3cdf7b0f9d1e33d3566847e5da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2507ff3cdf7b0f9d1e33d3566847e5da">&#9670;&nbsp;</a></span>operator->()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_track_state_collection.html">TrackStateCollection</a>* eic::TrackStateCollection::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator to allow pointer like calling of members a la LCIO </p>

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00063">63</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

</div>
</div>
<a id="ae7b47fe64f2e38cfdf53c6bc9670693b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7b47fe64f2e38cfdf53c6bc9670693b">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_track_state.html">TrackState</a> eic::TrackStateCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8cc_source.html#l00023">23</a> of file <a class="el" href="_track_state_collection_8cc_source.html">TrackStateCollection.cc</a>.</p>

</div>
</div>
<a id="a18da10d2d07f129dc3951655ecd05ad1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18da10d2d07f129dc3951655ecd05ad1">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_track_state.html">TrackState</a> eic::TrackStateCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of a given index. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8cc_source.html#l00031">31</a> of file <a class="el" href="_track_state_collection_8cc_source.html">TrackStateCollection.cc</a>.</p>

</div>
</div>
<a id="a6d2a22e92b33cfc41b9655177020b8b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d2a22e92b33cfc41b9655177020b8b8">&#9670;&nbsp;</a></span>phi()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::TrackStateCollection::phi </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00190">190</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="af8005629c10972cad2c63636c28b31d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8005629c10972cad2c63636c28b31d8">&#9670;&nbsp;</a></span>prepareAfterRead()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackStateCollection::prepareAfterRead </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8cc_source.html#l00065">65</a> of file <a class="el" href="_track_state_collection_8cc_source.html">TrackStateCollection.cc</a>.</p>

</div>
</div>
<a id="a520e57f540bcb467a7cd885e6446d06e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a520e57f540bcb467a7cd885e6446d06e">&#9670;&nbsp;</a></span>prepareForWrite()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackStateCollection::prepareForWrite </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8cc_source.html#l00056">56</a> of file <a class="el" href="_track_state_collection_8cc_source.html">TrackStateCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_collection_8cc_source.html#l00039">size()</a>.</p>

</div>
</div>
<a id="ac949436c72e437d67fb893910534c33c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac949436c72e437d67fb893910534c33c">&#9670;&nbsp;</a></span>push_back()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackStateCollection::push_back </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_const_track_state.html">ConstTrackState</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append object to the collection. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8cc_source.html#l00081">81</a> of file <a class="el" href="_track_state_collection_8cc_source.html">TrackStateCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_collection_8cc_source.html#l00039">size()</a>.</p>

</div>
</div>
<a id="a1ca48fe905f686afe5039265d88b45a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ca48fe905f686afe5039265d88b45a2">&#9670;&nbsp;</a></span>referenceCollections()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::CollRefCollection* eic::TrackStateCollection::referenceCollections </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00097">97</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

</div>
</div>
<a id="aaac0aba27886a6fb87a1ec6dcd5703c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaac0aba27886a6fb87a1ec6dcd5703c9">&#9670;&nbsp;</a></span>referencePoint()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; std::array&lt; float, 3 &gt;, arraysize &gt; eic::TrackStateCollection::referencePoint </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00230">230</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

</div>
</div>
<a id="a4939d9c731c96afa0c10dc35dc1bf320"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4939d9c731c96afa0c10dc35dc1bf320">&#9670;&nbsp;</a></span>setBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackStateCollection::setBuffer </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>address</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8cc_source.html#l00093">93</a> of file <a class="el" href="_track_state_collection_8cc_source.html">TrackStateCollection.cc</a>.</p>

</div>
</div>
<a id="a7134babf2747ed9dbb7df8f85e4fcfa2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7134babf2747ed9dbb7df8f85e4fcfa2">&#9670;&nbsp;</a></span>setID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackStateCollection::setID </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>ID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00101">101</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

</div>
</div>
<a id="a50d15c9307ed50c90ea53e039fb26790"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50d15c9307ed50c90ea53e039fb26790">&#9670;&nbsp;</a></span>setReferences()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackStateCollection::setReferences </td>
          <td>(</td>
          <td class="paramtype">const podio::ICollectionProvider *&#160;</td>
          <td class="paramname"><em>collectionProvider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8cc_source.html#l00076">76</a> of file <a class="el" href="_track_state_collection_8cc_source.html">TrackStateCollection.cc</a>.</p>

</div>
</div>
<a id="a9c1ee13337de8b1a49e1864e6a913f9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c1ee13337de8b1a49e1864e6a913f9a">&#9670;&nbsp;</a></span>size()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t eic::TrackStateCollection::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>number of elements in the collection </p>

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8cc_source.html#l00039">39</a> of file <a class="el" href="_track_state_collection_8cc_source.html">TrackStateCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>, <a class="el" href="_track_state_collection_8cc_source.html#l00056">prepareForWrite()</a>, and <a class="el" href="_track_state_collection_8cc_source.html#l00081">push_back()</a>.</p>

</div>
</div>
<a id="ae420137bd4e1dfc7e61329847cf6d707"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae420137bd4e1dfc7e61329847cf6d707">&#9670;&nbsp;</a></span>tanLambda()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::TrackStateCollection::tanLambda </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00220">220</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a9b85bcaff2359f45d9b1f61c785d9042"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b85bcaff2359f45d9b1f61c785d9042">&#9670;&nbsp;</a></span>vectorMembers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::VectorMembersInfo* eic::TrackStateCollection::vectorMembers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00099">99</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

</div>
</div>
<a id="a400139f4a41381f2c1bd7ab3e7fd980c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a400139f4a41381f2c1bd7ab3e7fd980c">&#9670;&nbsp;</a></span>z0()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::TrackStateCollection::z0 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_collection_8h_source.html#l00210">210</a> of file <a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_track_state_collection_8h_source.html">TrackStateCollection.h</a></li>
<li>src/<a class="el" href="_track_state_collection_8cc_source.html">TrackStateCollection.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
